# studio::AudioProfile Class Reference

`#include <audiocontainer.h>`

List of all members.

## Public Types

typedef std::vector< char > | SampleProfile

## Public Member Functions

SampleProfile::const_iterator | begin () const
SampleProfile::const_iterator | end () const
void | clear ()
unsigned int | size () const
char | operator[] (int i) const
double | get_samplerate () const
void | set_samplerate (double f)
double | get_offset () const
etl::handle< AudioContainer > | get_parent () const
void | set_parent (etl::handle< AudioContainer > i)

## Friends

class | AudioContainer

## Member Typedef Documentation

typedef std::vector<char> studio::AudioProfile::SampleProfile

## Member Function Documentation

SampleProfile::const_iterator studio::AudioProfile::begin | ( |  | ) | const`[inline]`

SampleProfile::const_iterator studio::AudioProfile::end | ( |  | ) | const`[inline]`

void studio::AudioProfile::clear | ( |  | ) |

unsigned int studio::AudioProfile::size | ( |  | ) | const`[inline]`

char studio::AudioProfile::operator[] | ( | int | i | ) | const`[inline]`

double studio::AudioProfile::get_samplerate | ( |  | ) | const`[inline]`

void studio::AudioProfile::set_samplerate | ( | double | f | ) | `[inline]`

double studio::AudioProfile::get_offset | ( |  | ) | const

handle< AudioContainer > studio::AudioProfile::get_parent | ( |  | ) | const

void studio::AudioProfile::set_parent | ( | etl::handle< AudioContainer > | i | ) |

## Friends And Related Function Documentation

friend class AudioContainer `[friend]`

The documentation for this class was generated from the following files:

- audiocontainer.h
- audiocontainer.cpp